# Bread Editor

I couldn't find any binary editor with that you can edit single bits,\
but I needed to write some binary data in a digital logic simulator.\
So I just made one.

### Features

| Feature                                                   | Description                                                                                                                              | State                                                  |
|-----------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------|
| Editing of basic image formats /<br>"Syntax Highlighting" | If u have a very simple black/white image format<br/>where single bits control the color,<br/>the editor can highlight the enabled bits. | <input type="checkbox" disabled checked /> Implemented |

## Setup

This program was made for Linux.\
It may work on Windows or Mac too, but it was not tested on these systems.\
To be able to use this program, you have to clone the repository,\
install the requirements, convert the ui files to python files\
and make the file called "main.py" executable.\
You can do that using these commands:

```bash
git clone https://teapot.informationsanarchistik.de/Wobbl/Bread_Editor.git
cd Bread_Editor
pip install -r requirements.txt
python3 gui/raw_ui/ui_to_py.py
chmod +x main.py
```

If you have already set up git for ssh, you can also clone the repository like this:

```bash
git clone git git@teapot.informationsanarchistik.de:Wobbl/Bread_Editor.git
```

Now you can execute the program using `./main.py`.
You can also create a desktop shortcut to the file.